Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnBaseQualifier Class Reference

gnBaseQualifier is a general interface to sequence qualifiers. More...

`#include <gnBaseQualifier.h>`

Inheritance diagram for gnBaseQualifier:

List of all members.

## Public Member Functions
| gnBaseQualifier ()
virtual | ~gnBaseQualifier ()
virtual gnBaseQualifier * | Clone () const=0
virtual string | GetName () const=0
| Get the name of qualifier stored in this class.
virtual string | GetValue () const=0
| Get the qualifier stored in this class.
virtual uint32 | GetNameLength () const=0
| Get the length of the qualifier name stored in this class.
virtual uint32 | GetValueLength () const=0
| Get the length of the qualifier stored in this class.

## Detailed Description

gnBaseQualifier is a general interface to sequence qualifiers.

gnBaseFeature uses qualifiers to store annotated sequences. Use gnStringQualifier for a general purpose qualifier class.

Definition at line 25 of file gnBaseQualifier.h.

## Constructor & Destructor Documentation

gnBaseQualifier::gnBaseQualifier | ( |  | ) | `[inline]`

| Definition at line 28 of file gnBaseQualifier.h.

virtual gnBaseQualifier::~gnBaseQualifier | ( |  | ) | `[inline, virtual]`

| Definition at line 29 of file gnBaseQualifier.h.

## Member Function Documentation

virtual gnBaseQualifier* gnBaseQualifier::Clone | ( |  | ) | const`[pure virtual]`

| Implements gnClone. Implemented in gnSourceQualifier, and gnStringQualifier.

virtual string gnBaseQualifier::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of qualifier stored in this class. Returns: The qualifier name as a string. Implemented in gnSourceQualifier, and gnStringQualifier. Referenced by gnGBKSource::Write().

virtual uint32 gnBaseQualifier::GetNameLength | ( |  | ) | const`[pure virtual]`

| Get the length of the qualifier name stored in this class. Returns: The length of the qualifier name. Implemented in gnSourceQualifier, and gnStringQualifier.

virtual string gnBaseQualifier::GetValue | ( |  | ) | const`[pure virtual]`

| Get the qualifier stored in this class. Returns: The qualifier as a string. Implemented in gnSourceQualifier, and gnStringQualifier. Referenced by gnGBKSource::Write().

virtual uint32 gnBaseQualifier::GetValueLength | ( |  | ) | const`[pure virtual]`

| Get the length of the qualifier stored in this class. Returns: The length of the qualifier. Implemented in gnSourceQualifier, and gnStringQualifier.

The documentation for this class was generated from the following file:

- gnBaseQualifier.h